SCHED_GET_PRIORITY_MIN(3)

NAME
sched_get_priority_max, sched_get_priority_min - get priority limits

SYNOPSIS
#include <sched.h>
int
sched_get_priority_max(int policy);
int
sched_get_priority_min(int policy);

DESCRIPTION
The sched_get_priority_max() and sched_get_priority_min() functions return the maximum and minimum priority values, respectively, for the scheduling policy specified by policy.

The scheduling policy for a thread can either be SCHED_FIFO (first in, first out), SCHED_RR (round-robin) or SCHED_OTHER.

RETURN VALUES
Upon successful completion, sched_get_priority_max() and sched_get_priority_min() return the maximum and minimum priority values, respectively. Otherwise, a value of -1 is returned and errno is set to indicate the error.

ERRORS
The sched_get_priority_max() and sched_get_priority_min() functions will fail if:

[EINVAL]
    Invalid value for policy.

STANDARDS
The sched_get_priority_max() and sched_get_priority_min() functions conform to p1003.1-2008.

This implementation does not support process scheduling.